package com.example.wholeestate.wx;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * 微信小程序 参数
 * @author weiximei
 */
@Data
@Component
@ConfigurationProperties(prefix = "wx.mini")
public class WxMiniProperties {

    /**
     * 小程序 appId
     */
    private String appid;

    /**
     * 小程序 appSecret
     */
    private String secret;

}
